import {Component, EventEmitter, Input, OnInit, Output} from '@angular/core';

@Component({
    selector: 'app-app-button',
    templateUrl: './app-button.component.html',
    styleUrls: ['./app-button.component.css']
})
export class AppButtonComponent implements OnInit {

    @Input() text: string;
    @Input() disableButton: boolean;
    @Output() OnClick = new EventEmitter<string | null>();

    constructor() {
        this.text = "";
    }

    ngOnInit(): void {
    }

    emitEvent() {
        this.OnClick.emit(null);
    }

}
