import {Component, EventEmitter, Input, OnInit, Output} from '@angular/core';

@Component({
  selector: 'app-recording-button',
  templateUrl: './recording-button.component.html',
  styleUrls: ['./recording-button.component.css']
})
export class RecordingButtonComponent implements OnInit {
  @Input() iconName: string;
  @Input() isSending: boolean;
  @Output() OnRecordClick = new EventEmitter<any | null>();
  constructor() {
    this.iconName="";
  }

  ngOnInit(): void {
  }

  emitEvent(){
    this.OnRecordClick.emit(null);
  }
}
