import { Injectable } from '@angular/core';
import {BehaviorSubject, Observable, of} from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class TopBarService {

  constructor() { }

  private device_localtime: BehaviorSubject<any> = new BehaviorSubject<any>(null);
  public device_localtime$: Observable<string> = this.device_localtime.asObservable();

  updateDeviceLocalTime() {
    this.device_localtime.next(null);
  }

}
