import {NgModule} from '@angular/core';
import {MatButtonModule} from '@angular/material/button';
import {MuteButtonComponent} from './mute-button.component';
import {MatIconModule} from "@angular/material/icon";


@NgModule({
    declarations: [MuteButtonComponent],
    exports: [MuteButtonComponent],
    imports: [MatButtonModule, MatIconModule]
})


export class MuteButtonModule {

    muted = false;

    isMuted() {
        return this.muted;
    }

}
