import {Component, Input, OnInit} from '@angular/core';

@Component({
  selector: 'app-device-license',
  templateUrl: './device-license.component.html',
  styleUrls: ['./device-license.component.css', '../css/general.css']
})
export class DeviceLicenseComponent implements OnInit {

  constructor() { }

  @Input() license;

  ngOnInit(): void {

  }

  createDateFromStr(stringDate){
    //console.log(stringDate);
    let dateParams = stringDate.split('/');
    let year = dateParams[2];
    let month = parseInt(dateParams[1],10)-1; //months start on 0
    let day = dateParams[0];
    return new Date(year, month, day).getTime();
  }

}
