import {Component, Inject, OnInit} from '@angular/core';
import {MAT_DIALOG_DATA, MatDialogRef} from "@angular/material/dialog";


@Component({
    selector: 'app-open-source-licenses',
    templateUrl: './open-source-licenses.component.html',
    styleUrls: ['./open-source-licenses.component.css']
})


export class OpenSourceLicensesComponent implements OnInit {

    displayedColumns = ['package', 'version', 'license'];
    tableData = [];
    showData: boolean = false;

    constructor(public dialogRef: MatDialogRef<OpenSourceLicensesComponent>,
                @Inject(MAT_DIALOG_DATA) public data) {
    }

    ngOnInit(): void {
        // console.log(this.data);
        this.tableData = this.data.slice(1, this.data.length - 1);
        this.showData = true;
    }

    closeModal() {
        this.dialogRef.close();
    }

}
