import { Component, OnInit } from '@angular/core';
import {ActivatedRoute, Router} from "@angular/router";

@Component({
  selector: 'app-group-menu',
  templateUrl: './paging-menu.component.html',
  styleUrls: ['./paging-menu.component.css']
})
export class PagingMenuComponent implements OnInit {

  constructor(private router: Router,
              private route: ActivatedRoute) { }

  ngOnInit(): void {
  }

  goTo(routeName: string){
    switch (routeName){
      case "paging-groups":
        this.router.navigate(['/paging/groups'], { queryParamsHandling: "merge", relativeTo: this.route });
        break;
      case "device-messages":
        this.router.navigate(['/paging/device-messages'], { queryParamsHandling: "merge", relativeTo: this.route });
        break;
    }
  }
  backToMain(){
    this.router.navigate(['/paging'], { queryParamsHandling: "merge"});
  }

}
