import {Component, Input, OnInit, Output} from '@angular/core';


@Component({
    selector: 'app-main-page',
    templateUrl: './main-page.component.html',
    styleUrls: ['./main-page.component.css']
})


export class MainPageComponent implements OnInit {


    constructor() {
    }


    @Output() showRecordMode: boolean;
    @Output() audioPreviewEnabled: boolean;


    ngOnInit(): void {
    }


    onInputChange(event) {
        this.showRecordMode = event;
    }


    onAudioPreviewEnabledChange(event) {
        this.audioPreviewEnabled = event;
    }

}
