import {Component, EventEmitter, Input, OnInit, Output} from '@angular/core';

@Component({
  selector: 'app-menu-option-span',
  templateUrl: './menu-option-span.component.html',
  styleUrls: ['./menu-option-span.component.css']
})
export class MenuOptionSpanComponent implements OnInit {

  constructor() { }

  @Output() onChangeOption = new EventEmitter<boolean | null>();
  @Input() optionClass: string;
  @Input() modelMatSlider: boolean;
  @Input() title: string;
  @Input() description: string;
  ngOnInit(): void {
  }


  emitEvent(){
    this.onChangeOption.emit(this.modelMatSlider);
  }
}
