/**
 * All utilities to check the device type
 */
export default class DeviceTypes {

    /* hwTypeId should be a string representing the HW Type ID */
    public static isM400(hwTypeId): boolean {
        return hwTypeId === '54';
    }

    /* hwTypeId should be a string representing the HW Type ID */
    public static isTPA400(hwTypeId): boolean {
        return hwTypeId === '66';
    }

    /* hwTypeId should be a string representing the HW Type ID */
    public static isEMC400(hwTypeId): boolean {
        return hwTypeId === '68'; // USSI
    }

    /* hwTypeId should be a string representing the HW Type ID */
    public static isMPA400(hwTypeId): boolean {
        return hwTypeId === '69';
    }

    /* hwTypeId should be a string representing the HW Type ID */
    public static isMPI400(hwTypeId): boolean {
        return hwTypeId === "73";
    }

    /* hwTypeId should be a string representing the HW Type ID */
    public static isMPA400HIP(hwTypeId): boolean {
        return hwTypeId === '75';
    }

}
