// This file can be replaced during build by using the `fileReplacements` array.
// `ng build` replaces `environment.ts` with `environment.prod.ts`.
// The list of file replacements can be found in `angular.json`.

export const environment = {
  production: false,
    loginEndpoint:                  "/api/rest/v1/login",
    deviceUcisEndpoint:             "/api/rest/v1/ucis",
    settingsEndpoint:               "/api/rest/v1/settings",
    volumeControlEndpoint:          "/api/rest/v1/settings/real-time-control",
    mutedControlEndpoint:           "/api/rest/v1/settings/real-time-control",
    certificatesEndpoint:           "/api/rest/v1/cacerts",
    rebootEndpoint:                 "/api/rest/v1/reboot",
    fwUpdateEndpoint:               "/api/rest/v1/system/update",
    resetFactoryDefaultsEndpoint:   "/api/rest/v1/defaults",
    downloadLogsEndpoint:           "/api/rest/v1/logs",
    systemLogEndpoint:              "/api/rest/v1/logs/system",
    systemInfoEndpoint:             "/api/rest/v1/system/info",
    systemTypeEndpoint:             "/api/rest/v1/system/type",

    usersEndpoint:                  "/api/rest/v1/users",
    audioFilesEndpoint:             "/api/rest/v1/audio-files",
    deviceMessagesEndpoint:         "/api/rest/v1/device-messages",
    groupsEndpoint:                 "/api/rest/v1/groups",
    pagingEndpoint:                 "/api/rest/v1/paging",
    recordingEndpoint:              "/api/rest/v1/recording",

};

/*
 * For easier debugging in development mode, you can import the following file
 * to ignore zone related error stack frames such as `zone.run`, `zoneDelegate.invokeTask`.
 *
 * This import should be commented out in production mode because it will have a negative impact
 * on performance if an error is thrown.
 */
// import 'zone.js/plugins/zone-error';  // Included with Angular CLI.
